lmi-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[lmi-commits] [lmi] master 93e400db 10/13: Avoid literal '***' in a 'set


From: Greg Chicares
Subject: [lmi-commits] [lmi] master 93e400db 10/13: Avoid literal '***' in a 'set -vx' script
Date: Mon, 21 Nov 2022 17:29:19 -0500 (EST)

branch: master
commit 93e400db7168525309689fec38a29cc55d41c81c
Author: Gregory W. Chicares <gchicares@sbcglobal.net>
Commit: Gregory W. Chicares <gchicares@sbcglobal.net>

    Avoid literal '***' in a 'set -vx' script
    
    Echoing lines that contain '***' makes it harder to find actual errors
    that are marked '***'.
---
 install_xml_libraries.sh | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/install_xml_libraries.sh b/install_xml_libraries.sh
index a3e69f2e..2127c938 100755
--- a/install_xml_libraries.sh
+++ b/install_xml_libraries.sh
@@ -68,7 +68,7 @@ export PKG_CONFIG_SYSROOT_DIR=
 # failure. Apparently the problem is colons in header paths, e.g.:
 #   c:/MinGW-20050827/bin/../lib/gcc/mingw32/3.4.4/include/stddef.h:
 # which elicit fatal errors such as this:
-#   .deps/DOCBparser.Plo:1: *** multiple target patterns.  Stop.
+#   .deps/DOCBparser.Plo:1: [*]* multiple target patterns.  Stop.
 
 # We can't have new lines in the CFLAGS, so get rid of them explicitly.
 xmlsoft_common_cflags=$(echo '
@@ -228,10 +228,10 @@ for lib in libxml2 libxslt; do
         CFLAGS="-g -O2 $xmlsoft_common_cflags" \
         $(eval "echo \$${lib}_options") || err=$?
     if [ -n "$err" ]; then
-        echo '*** Configuring failed, contents of config.log follows: ***'
-        echo '-----------------------------------------------------------'
+        echo '* Configuring failed, contents of config.log follows: *'
+        echo '-------------------------------------------------------'
         cat config.log
-        echo '-----------------------------------------------------------'
+        echo '-------------------------------------------------------'
         exit $err
     fi
     $MAKE install
@@ -256,10 +256,10 @@ for lib in xmlwrapp; do
         PKG_CONFIG_LIBDIR="$exec_prefix"/lib/pkgconfig \
         $xmlwrapp_options || err=$?
     if [ -n "$err" ]; then
-        echo '*** Configuring failed, contents of config.log follows: ***'
-        echo '-----------------------------------------------------------'
+        echo '* Configuring failed, contents of config.log follows: *'
+        echo '-------------------------------------------------------'
         cat config.log
-        echo '-----------------------------------------------------------'
+        echo '-------------------------------------------------------'
         exit $err
     fi
     $MAKE install



reply via email to

[Prev in Thread] Current Thread [Next in Thread]